package cn.ibizlab.humanresource.core.humanresource.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.humanresource.core.humanresource.domain.HRArchivesMove;
import cn.ibizlab.humanresource.core.humanresource.filter.HRArchivesMoveSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[HRArchivesMove] 服务对象接口
 */
public interface IHRArchivesMoveService extends IService<HRArchivesMove>{

    boolean create(HRArchivesMove et) ;
    void createBatch(List<HRArchivesMove> list) ;
    boolean update(HRArchivesMove et) ;
    void updateBatch(List<HRArchivesMove> list) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    HRArchivesMove get(String key) ;
    HRArchivesMove getDraft(HRArchivesMove et) ;
    boolean checkKey(HRArchivesMove et) ;
    boolean save(HRArchivesMove et) ;
    void saveBatch(List<HRArchivesMove> list) ;
    Page<HRArchivesMove> searchDefault(HRArchivesMoveSearchContext context) ;
    List<HRArchivesMove> selectByHrarchivesid(String hrarchivesid) ;
    void removeByHrarchivesid(String hrarchivesid) ;
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

    List<HRArchivesMove> getHrarchivesmoveByIds(List<String> ids) ;
    List<HRArchivesMove> getHrarchivesmoveByEntities(List<HRArchivesMove> entities) ;
}


